<?php

/* DCMS Special
 * Дата последнего редактирования 13.10.2016
 * Модифицировал densnet
 */

if (isset($user)) {
    $q = $db->super_query("SELECT COUNT(*) as count FROM user WHERE date_last > '" . TIME_TODAY . "'");
    $on24 = $q['count'];
    $q = $db->super_query("SELECT COUNT(*) as count FROM user WHERE date_last > '" . (TIME - $set['user_online']) . "'");
    $online = $q['count'];
    $q = $db->super_query("SELECT COUNT(*) as count FROM guests WHERE date_last > '" . (TIME - $set['guest_online']) . "' AND pereh > '0'");
    $guest = $q['count'];
    $online_g = $online + $guest;

    #Показываем все
    if ($user['set_online'] == 1) {
        echo "<div class='list-group-item-null list-group-item-grey'>";

        #Виды строки пользователей онлайн
        if ($user['set_online_view'] == 1) {
            echo "<center>";
            echo "<a href='?users&amp;act=online'>" . lang('Онлайн') . " <b>$online</b></a>";
            echo " | ";
            echo "<a href='?users&amp;act=guest'>" . lang('Гостей') . " <b>$guest</b></a>";
            echo "</center>";
        }
        if ($user['set_online_view'] == 2) {
            echo "<center>";
            echo "<a href='?users&amp;act=online'>" . lang('Онлайн') . " <b>$online</b></a> ";
            echo "(<a href='?users&amp;act=guest'>" . lang('Гостей') . " <b>$guest</b></a>)";
            echo "</center>";
        }
        if ($user['set_online_view'] == 3) {
            echo "<center>";
            echo "<a href='?users&amp;act=online'>" . lang('Онлайн') . " <b>$online</b></a> ";
            echo "(+<a href='?users&amp;act=guest'> <b>$guest</b></a>)";
            echo "</center>";
        }
        if ($user['set_online_view'] == 4) {
            echo "<center>";
            echo "<a href='?users&amp;act=online'>" . lang('Онлайн') . " <b>$online_g</b></a>";
            echo "</center>";
        }

        $q = $db->query("SELECT id FROM user WHERE date_last > '" . (TIME - $set['user_online']) . "' ORDER BY `date_last` DESC LIMIT 8");

        while ($ank = $db->get_row($q)) {
            $ank = get_user($ank['id']);
            echo "<a class='hint--top' data-hint='$ank[nick]' href='/id$ank[id]'>\n";
            avatar($ank['id'], "$user[set_online_size]", 'border-radius: 50%;');
            echo "</a> ";
        }

        echo "</div>";
    }

    #Показываем только аватары
    if ($user['set_online'] == 2) {
        echo "<div class='list-group-item-null list-group-item-grey'>";
        while ($ank = $db->get_row($q)) {
            $ank = get_user($ank['id']);
            echo "<a class='hint--top' data-hint='$ank[nick]' href='/id$ank[id]'>\n";
            avatar($ank['id'], "$user[set_online_size]", 'border-radius: 50%;');
            echo "</a> ";
        }
        echo "</div>";
    }

    #Показываем только данные
    if ($user['set_online'] == 3) {
        echo "<div class='list-group-item-null list-group-item-grey'><center>";
        echo "<a href='?users&amp;act=online'>" . lang('Онлайн') . " $online</a>";
        echo " | ";
        echo "<a href='?users&amp;act=guest'>" . lang('Гостей') . " $guest</a>";
        echo "</center>";
        echo "</div>";
    }
    #Удаляем, чтобы не занимали оперативную память (это так, если кто не знал)
    unset($online);
    unset($guest);
    unset($online_g);
}